Bug 746114 - satellite provides a bogus .treeinfo file
satellite provides a bogus .treeinfo file
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
541
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: 819027
  Show dependency treegraph
 
Reported: 2011-10-13 18:38 EDT by Brian Harrington
Modified: 2014-03-03 19:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 10:20:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Harrington 2011-10-13 18:38:34 EDT
Created attachment 528121 [details]
virt-manager log

Description of problem:
Virt-manager is failing to parse a RHEL 5 kickstart complaining about header areas.  The same issue occurs with a RHEL 6 kickstart file.

How reproducible:
100%

Steps to Reproduce:
1. Install virt-manager
2. Attempt to do network based install
3. Supply kickstart url
4. Use all default settings
  
Actual results:
Kickstart fails with errors in log attached

Expected results:
Proper installation of virtual machine.

Additional info:
Comment 1 Brian Harrington 2011-10-13 18:39:29 EDT
Created attachment 528122 [details]
Kickstart file supplied by Red Hat Satellite Server v 5.4.1
Comment 3 Cole Robinson 2011-10-14 11:01:26 EDT
virt-manager is failing to parse the .treeinfo file, not the kickstart file. Can you provide the .treeinfo from the toplevel directory of the URL you tried to use for install?
Comment 4 Brian Harrington 2011-10-14 12:34:37 EDT
The .treeinfo file provided by Red Hat Satellite Server is the same file as the kickstart.
Comment 5 Cole Robinson 2011-10-14 13:41:53 EDT
I'm not sure if this is a satellite issue or not, but reassigning there for further triage
Comment 6 Jan Pazdziora 2011-10-14 15:00:06 EDT
What version of virt-manager is this?
Comment 9 Brian Harrington 2011-10-17 14:41:56 EDT
virt-manager-0.9.0-6.el6.x86_64

[root@setup1 ~]# rpm -qi virt-manager
Name        : virt-manager                 Relocations: (not relocatable)
Version     : 0.9.0                             Vendor: Red Hat, Inc.
Release     : 6.el6                         Build Date: Tue 30 Aug 2011 03:29:24 PM EDT
Install Date: Thu 13 Oct 2011 01:23:43 PM EDT      Build Host: x86-002.build.bos.redhat.com
Group       : Applications/Emulators        Source RPM: virt-manager-0.9.0-6.el6.src.rpm
Size        : 5693803                          License: GPLv2+
Signature   : RSA/8, Wed 07 Sep 2011 11:43:18 AM EDT, Key ID 938a80caf21541eb
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://virt-manager.org/
Summary     : Virtual Machine Manager
Description :
Virtual Machine Manager provides a graphical tool for administering virtual
machines for KVM, Xen, and QEmu. Start, stop, add or remove virtual devices,
connect to a graphical or serial console, and see resource usage statistics
for existing VMs on local or remote machines. Uses libvirt as the backend
management API.

Note You need to log in before you can comment on or make changes to this bug.